
Redmine - Feature #4763

Some role in parent project can see everything in its subprojects

2010-02-08 14:21 - Bruno Prado

Status: Closed Start date: 2010-02-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

I'd like to request a viability analisys about this: considering the unlimited project nesting, if a user is, say, manager, in a parent

project, this user should be able to see everything of its subprojects, even if this sub is private.

History

#1 - 2010-07-08 18:03 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Wont fix

This would break the clear permissions given to a user with a certain role in a give project, and would break the ability of users with the permission to

manage users to have a complete control over members of the project. I suggest making groups with the users you want to add with a certain role in

projects and do it with groups.

#2 - 2010-10-12 09:59 - thomas wang

- Assignee set to Felix Schäfer

Hi Felix,I've got a problem somewhat like Bruno.In my company situation,a project may have 40-50 subprojects,but the members all act on the same

roles,If I want to put these guys with the roles in all the subprojects,that was really a huge work.So I wonder if there was a function that one project's

Members and its Roles can be selected to apply in other projects,that would save a lot of time

So,is there a way to work this out?Any suggestions would be appreciate!

#3 - 2010-10-12 10:11 - Felix Schäfer

- Assignee deleted (Felix Schäfer)

Same answer as above. If you have such a degree/need of customization/behavior change, you'll probably be better of developing a plugin for that

functionality.

Also, please don't assign issues to people on redmine.org, it's rather the people who take care of doing something who set it to themselves than the

other way round, thank you.

#4 - 2010-10-13 07:47 - thomas wang

OK..thank you for your reply
